<!-- PROJECT SHIELDS -->

[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]
![size][size-shield]
[![Build Status](https://travis-ci.org/berndartmueller/virchual.svg?branch=master)](https://travis-ci.org/berndartmueller/virchual)

<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/berndartmueller/virchual">
    <img src="images/logo.png" alt="Logo" width="80" height="80">
  </a>

  <h3 align="center">virchual</h3>

  <p align="center">
    Super-fast, lightweight (6kB) image slider and carousel, written in TypeScript without any dependencies.
    <br />
    <br />
    <a href="https://github.com/berndartmueller/virchual"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/berndartmueller/virchual">View Demo</a>
    ·
    <a href="https://github.com/berndartmueller/virchual/issues">Report Bug</a>
    ·
    <a href="https://github.com/berndartmueller/virchual/issues">Request Feature</a>
  </p>
</p>

<!-- TABLE OF CONTENTS -->

## Table of Contents

- [About the Project](#about-the-project)
  - [Built With](#built-with)
- [Getting Started](#getting-started)
  - [Prerequisites](#prerequisites)
  - [Installation](#installation)
- [Usage](#usage)
- [Roadmap](#roadmap)
- [Contributing](#contributing)
- [License](#license)
- [Contact](#contact)
- [Acknowledgements](#acknowledgements)

<!-- ABOUT THE PROJECT -->

## About The Project

[![Product Name Screen Shot][product-screenshot]](https://example.com)

This swiper library written in TypeScript aims to provide a high-performance swiper carousel best used when multiple instances on a page are necessary (e.g. list of cards where each card has a swiper gallery - Airbnb, Hometogo,...).

To achieve this goal, this swiper carousel uses virtual slides to only render those slides which are really necessary.

### Built With

- TypeScript

<!-- GETTING STARTED -->

## Getting Started

To get a local copy up and running follow these simple steps.

### Prerequisites

This is an example of how to list things you need to use the software and how to install them.

- npm

```sh
npm install virchual
```

### Installation

1. Clone the repo

```sh
git clone github.com/berndartmueller/virchual.git
```

2. Install NPM packages

```sh
npm install
```

<!-- USAGE EXAMPLES -->

## Usage

Use this space to show useful examples of how a project can be used. Additional screenshots, code examples and demos work well in this space. You may also link to more resources.

_For more examples, please refer to the [Documentation](https://example.com)_

<!-- ROADMAP -->

## Roadmap

See the [open issues](https://github.com/berndartmueller/virchual/issues) for a list of proposed features (and known issues).

<!-- CONTRIBUTING -->

## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<!-- LICENSE -->

## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- CONTACT -->

## Contact

Bernd Artmüller - [@berndartmueller](https://twitter.com/berndartmueller) - hello@berndartmueller.com

Project Link: [https://github.com/berndartmueller/virchual](https://github.com/berndartmueller/virchual)

<!-- ACKNOWLEDGEMENTS -->

## Acknowledgements

Huge credits to [https://github.com/Splidejs/splide](https://github.com/Splidejs/splide) by NaotoshiFujita. Splide was used as a boilerplate for my TypeScript implementation. Great slider and very well implemented!

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->

[contributors-shield]: https://img.shields.io/github/contributors/berndartmueller/virchual.svg?style=flat-square
[contributors-url]: https://github.com/berndartmueller/virchual/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/berndartmueller/virchual.svg?style=flat-square
[forks-url]: https://github.com/berndartmueller/virchual/network/members
[stars-shield]: https://img.shields.io/github/stars/berndartmueller/virchual.svg?style=flat-square
[stars-url]: https://github.com/berndartmueller/virchual/stargazers
[issues-shield]: https://img.shields.io/github/issues/berndartmueller/virchual.svg?style=flat-square
[issues-url]: https://github.com/berndartmueller/virchual/issues
[license-shield]: https://img.shields.io/github/license/berndartmueller/virchual.svg?style=flat-square
[license-url]: https://github.com/berndartmueller/virchual/blob/master/LICENSE
[twitter-shield]: https://img.shields.io/badge/-Twitter-black.svg?style=flat-square&logo=twitter&colorB=555
[twitter-url]: https://www.twitter.com/berndartmueller
[product-screenshot]: images/screenshot.png
[size-shield]: https://img.shields.io/bundlephobia/minzip/mailgo.svg?color=%23477998&style=flat-square
