import { VirchualSettings } from './virchual';
/**
 * Virtual slide component.
 */
export declare class Slide {
    private frame;
    private settings;
    isMounted: boolean;
    isActive: boolean;
    position: number;
    private hasChanged;
    private html;
    private ref;
    private transitionEndCallback;
    constructor(html: string | HTMLElement, frame: HTMLElement, settings: VirchualSettings);
    set<T extends Extract<keyof this, 'isActive' | 'position'>>(property: T, value: this[T]): void;
    render(): HTMLElement;
    mount(prepend?: boolean): void;
    unmount(): void;
    /**
     * Start transition.
     *
     * @param value
     * @param done
     */
    translate(value: number, done?: () => void): void;
    private update;
    private setAttributes;
}
